Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface RuleBinding

All Superinterfaces:
  EventSource, NamedObject, Serializable

    public interface RuleBinding

extends NamedObject, Serializable

Represents the binding of one rule to a single task plan. The binding defines the rule path for the rule and the mappings of task properties to rule parameters.

Currently there is no mapping from the rule result to the task properties. This is because rules are only evaluated for the purposes of defining the assignee list for a step, and thus the rule result is consumed directly by the assignment handler (and need not be stored into a task property).

Nested Class Summary
`static interface` | `RuleBinding.Event` Property names for the PropertyChangeEvents that can be produced by edits on a object of this type.

Method Summary
`void` | `addPropertyToParameterMapping(String propName, String paramName)`
`void` | `clearPropertyToParameterMappings()`
`String` | `getPropertyForParameter(String paramName)`
`Mapping[]` | `getPropertyToParameterMappings()` An array of Mapping objects describing the mapping of a property to a rule parameter.
`RuleBindings` | `getRuleBindings()` Get the parent RuleBindings for this binding.
`String` | `getRuleHierarchyName()`
`String` | `getRulePath()`
`void` | `removePropertyToParameterMapping(String paramName)`
`void` | `setRuleHierarchyName(String name)`
`void` | `setRulePath(String path)`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObject
`getDescription, getName, setDescription`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Method Detail

### getRuleBindings

    RuleBindings getRuleBindings()

  Get the parent RuleBindings for this binding.

### getRuleHierarchyName

    String getRuleHierarchyName()

### setRuleHierarchyName

    void setRuleHierarchyName(String name)

### getRulePath

    String getRulePath()

### setRulePath

    void setRulePath(String path)

### getPropertyToParameterMappings

    Mapping[] getPropertyToParameterMappings()

  An array of Mapping objects describing the mapping of a property to a rule parameter.

### clearPropertyToParameterMappings

    void clearPropertyToParameterMappings()

### getPropertyForParameter

    String getPropertyForParameter(String paramName)

### removePropertyToParameterMapping

    void removePropertyToParameterMapping(String paramName)

### addPropertyToParameterMapping

    void addPropertyToParameterMapping(String propName,
                                       String paramName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD